Send immediate campaign
curl --request POST \
--url https://api.hub.younegotiate.com/communications/campaigns/send-now \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "email",
"template_id": 10,
"group_id": 25
}
'import requests
url = "https://api.hub.younegotiate.com/communications/campaigns/send-now"
payload = {
"type": "email",
"template_id": 10,
"group_id": 25
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'email', template_id: 10, group_id: 25})
};
fetch('https://api.hub.younegotiate.com/communications/campaigns/send-now', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Your campaign has been successfully created and is now being processed.",
"data": {
"id": 101,
"template_id": 10,
"group_id": 25,
"template": {
"id": 10,
"name": "Settlement Email",
"type": {
"value": "email",
"label": "Email"
}
},
"group": {
"id": 25,
"name": "Delivered January Group"
},
"frequency": {
"value": "once",
"label": "Once"
},
"start_date": "2026-06-14",
"end_date": null,
"day_of_week": null,
"day_of_month": null,
"terms": "One time on Jun 14, 2026",
"is_run_immediately": true
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Send immediate campaign
Create an immediate superadmin email or SMS campaign tracker snapshot and queue delivery for the selected group. No quote token or payment deduction is required.
POST
/
communications
/
campaigns
/
send-now
Send immediate campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Last modified on July 20, 2026
Was this page helpful?
⌘I

